#!/bin/sh

HOST=us-msync.centos.org
REPO=CentOS

IP=`/usr/bin/dig $HOST +short`

if [ -e /path_to_a_lock_file/Lock.SyncRepos.sh ] ; then
    echo CentOS Rsync Lock file found!!
else
    touch /path_to_a_lock_file/Lock.SyncRepos.sh
    if [ -e /path_to_repo_dir/repos/centos/ ] ; then
	echo -n "Syncing DVD.isos - "
	date
	/usr/bin/rsync -avzH --delay-updates --delete --delete-after --filter='include */' --filter='include *DVD*iso' --filter='exclude *' mirrors.rit.edu::centos /path_to_repo_dir/repos/centos/
	echo
	echo
	echo Syncing everything else
	/bin/echo -n "$HOST: $IP - "
	date
	/usr/bin/rsync -avzH --delay-updates --delete --delete-after --delete-excluded --exclude='.~tmp~' --filter='protect *DVD*iso' $IP::$REPO /path_to_repo_dir/repos/centos/
	echo
    else
	echo CentOS Rsync mount not found!!
    fi
    rm /path_to_a_lock_file/Lock.SyncRepos.sh
fi
